"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
class SimulationContext {
    constructor(canvas) {
        let context = canvas.getContext('2d');
        if (!context) {
            throw new TypeError('PhyBox canvas context not found!');
        }
        this.canvas = canvas;
        this.ctx = context;
        this.objects = [];
    }
    start() {
        this.objects.forEach((obj) => {
            obj.start();
        });
    }
    update(deltaTime) {
        this.objects.forEach((obj) => {
            obj.update(deltaTime);
        });
    }
    stop() {
        this.objects.forEach((obj) => {
            obj.stop();
        });
    }
}
exports.default = SimulationContext;
