import type { Steppable } from "./Steppable";
import type { Component } from "./Component";
export declare abstract class GameObject implements Steppable {
    components: Component[];
    constructor(name: string);
    abstract start(): void;
    abstract update(deltaTime: number): void;
    abstract stop(): void;
    addComponent<T extends Component>(type: {
        new (gameObject: GameObject): T;
    }): T;
}
